#include<bits/stdc++.h>
using namespace std;
int T;
int a[1010];
int n,k,m;
int tpe=-1;
int stk[2010][1005];
int main(){
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	//put my code here
	scanf("%d",&T);
	tpe=T;
	while(T--){
		scanf("%d%d%d",&n,&k,&m);
		for(int i=1;i<=m;i++)scanf("%d",a+i);
	}
	fclose(stdin);
	fclose(stdout);
	return 0;
}
